[Barcode Scanner Plugin] Error compiling Cordova plugin: .

[Barcode Scanner Plugin] Error compiling Cordova plugin: .

  
Forge Component
(5)
Published on 14 Nov (4 weeks ago) by leonardo.fernandes
5 votes
Published on 14 Nov (4 weeks ago) by leonardo.fernandes

Hi, I get this error when compiling with the OutSystems supported Pushwoosh plugin.

Can you guys test against this and perhaps issue a fix?  The OutSystems barcode scanner is not very good and we receive a lot of complaints with it.  Yours, however, works like a charm.


thanks,

Daniel Brooks

Daniel Brooks wrote:

Hi, I get this error when compiling with the OutSystems supported Pushwoosh plugin.

Can you guys test against this and perhaps issue a fix?  The OutSystems barcode scanner is not very good and we receive a lot of complaints with it.  Yours, however, works like a charm.


thanks,

Daniel Brooks

Hi Daniel,

You can use Barcode Plugin(forge component), it works absolutely fine.


Priya Khade wrote:

Daniel Brooks wrote:

Hi, I get this error when compiling with the OutSystems supported Pushwoosh plugin.

Can you guys test against this and perhaps issue a fix?  The OutSystems barcode scanner is not very good and we receive a lot of complaints with it.  Yours, however, works like a charm.


thanks,

Daniel Brooks

Hi Daniel,

You can use Barcode Plugin(forge component), it works absolutely fine.


This plugin does not compile when a mobile application also is using the Pushwoosh plugin.

The OutSystems Supported barcode scanner has constant failures with Code_39 barcodes and randomly inserts an "I" character in the beginning of the result string.  We cannot use it because it is unpredictable, unlike this component.

It merely does not compile with Pushwoosh.

Hi Daniel Brooks. I'm sorry for the late reply.

Fixing this in my todo-list, I'm planning to publish a new version next week. I'll let you know if those plans change, hopefully they won't.


If anyone has already done some investigation on the compilation error, please let me know your findings, that would help me a lot.

leonardo.fernandes wrote:

Hi Daniel Brooks. I'm sorry for the late reply.

Fixing this in my todo-list, I'm planning to publish a new version next week. I'll let you know if those plans change, hopefully they won't.


If anyone has already done some investigation on the compilation error, please let me know your findings, that would help me a lot.


Thanks Leonardo.  Unfortunately the only error information I have is the not-very-helpful error message

Error compiling Cordova plugin: .


Thanks again,

Daniel Brooks

Hi Daniel. To give you an update, I could reproduce the error and could gather more information about it in the native build log. But unfortunately I don't have any solution yet.

I tried upgrading the native plugin to version 7 or 8, and they trigger different compilation errors.

I will need more time on this, hopefully one more week will be enough.

leonardo.fernandes wrote:

Hi Daniel. To give you an update, I could reproduce the error and could gather more information about it in the native build log. But unfortunately I don't have any solution yet.

I tried upgrading the native plugin to version 7 or 8, and they trigger different compilation errors.

I will need more time on this, hopefully one more week will be enough.


Thanks for checking this out!

Hi Daniel. I got both plugins to compile. I'm going to do some QA and make sure to include a detection for cancelled scans (requested by Mikael). But for now, could you test that this will actually solve your problem?

Please open the BarcodeScannerPlugin module, and place the following contents on the Extensibility Configuration:

{
    "plugin":
    {
        "url": "https://github.com/phonegap/phonegap-plugin-barcodescanner.git#v8.0.0",
        "variables": [{
            "name": "ANDROID_SUPPORT_V4_VERSION",
            "value": "26.+"
        }]
    }
}


Thanks.

Version 3.0.0 of this component should fix these issues.